<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg1"
    tools:context="com.digitaltag.tag8.tracker.ui.ringtone.RingtoneActivity">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/constraintLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="10dp"
        app:cardElevation="10dp"
        app:cardMaxElevation="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="50dp">

            <ImageView
                android:id="@+id/backarrow"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:padding="7dp"
                android:src="@drawable/arrow_left"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:tint="@android:color/black" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/TextAppearance.AppCompat.Medium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="32dp"
                android:text="@string/alert_tone"
                android:textColor="@android:color/black"
                app:layout_constraintBottom_toBottomOf="@+id/backarrow"
                app:layout_constraintStart_toEndOf="@+id/backarrow"
                app:layout_constraintTop_toTopOf="@+id/backarrow" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/materialCardView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="35dp"
        android:clickable="true"
        android:focusable="true"
        app:layout_constraintTop_toBottomOf="@id/constraintLayout">

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_margin="10dp"
            android:gravity="center_vertical"
            android:text="@string/duration"
            android:textColor="@android:color/black"
            android:textSize="16sp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|center_vertical"
            android:layout_margin="10dp"
            android:drawableEnd="@drawable/ic_arrow"
            android:gravity="end"
            android:id="@+id/duration"
            android:text="@string/five_sec"
            android:textColor="@android:color/black"
            android:textSize="16sp" />

    </com.google.android.material.card.MaterialCardView>


    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/ringtone_alerts"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_margin="10dp"
        android:gravity="center_vertical"
        android:text="@string/disconnected_alarm"
        android:textColor="@android:color/black"
        android:textSize="15sp"
        app:fontFamily="sans-serif-light"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/materialCardView" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/ringtoneView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ringtone_alerts" />


</androidx.constraintlayout.widget.ConstraintLayout>